yuri-pet

Помощь новичку Solidworks

16,716 posts in this topic

И никаких ошибок не выдает??

Share this post


Link to post
Share on other sites


4 минуты назад, ILL сказал:

И никаких ошибок не выдает??

нет. Первый макрос от Kir95 сработал отлично, только в наименование добавил .sldprt, а этот вообще ничего

Share this post


Link to post
Share on other sites
6 часов назад, РоманВ сказал:

Получилось, только в графе "Наименование" солид вбил вместе с точкой и расширением файла. Получилось Вставка.SLDPRT. Что нужно добавить в макрос чтобы он отбрасывал текст начиная с точки?

Попробуйте такой вариант:

Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim swModelDocExt As ModelDocExtension
Dim swCustProp As CustomPropertyManager
Dim bool As Boolean
Dim errors             As Long
Dim warnings           As Long
Dim path As String, filename As String

Sub main()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
    Set swCustProp = swModelDocExt.CustomPropertyManager(vbNullString)
    
    path = swModel.GetPathName
    filename = Mid$(path, InStrRev(path, "\") + 1) ' With extension
    filename = Left$(filename, InStrRev(filename, ".") - 1) ' Remove extension

    bool = swCustProp.Add3("Наименование", swCustomInfoText, Right$(filename, Len(filename) - InStrRev(filename, "-")), 2)
    bool = swCustProp.Add3("Обозначение", swCustomInfoText, Left$(filename, InStr(filename, "-") - 1), 2)
    bool = swModel.Save3(1, errors, warnings)
    
End Sub

 

1 person likes this

Share this post


Link to post
Share on other sites
13 минуты назад, РоманВ сказал:

а этот вообще ничего

 

Извиняюсь, поторопился.. У меня СВ15, поэтому ругался на Add3 в строках, которые начинаются с

 

bool = swCustProp.Add3

 

Я исправил на 

 

bool = swCustProp.Add

 

Так не ругается, но и не работает.. Должно начинаться с 

 

bool = swCustProp.Add2

 

У меня работает.. 

 

И строку

 

Str = VBA.Mid$(string0, Numb, 3)

 

заменить на

 

Str = VBA.StrConv(VBA.Mid$(string0, Numb, 3), vbLowerCase)

 

Это чтобы от регистра букв не зависеть.

Share this post


Link to post
Share on other sites

ID: 14685   Posted (edited)

Моё почтенье. 

Такое дело. Создал из тулбокса шестерню. Деталь была ReadOnly.  Сохранил как другую деталь. 

Отредактировал. 

Вставил в сборку. 

Сохраняю сборку. 

Открываю. Опа... а в сборке опять первоначальная шестерня, которая из тулбокса. 

Файл с отредактированной деталью на месте, все изменения в нём на месте. 

Но в сборке он после её закрытия и последующего открытия заменяется на первоначальную деталь. А она вообще в другом файле. 

Что я делаю не так? 

 

Спасибо. 

_crankGear.SLDPRT

Edited by modsley

Share this post


Link to post
Share on other sites
12 минуты назад, modsley сказал:

Создал из тулбокса шестерню. Деталь была ReadOnly.  Сохранил как другую деталь. 

А отвязать от ToolBox при помощи SldSetDocProp не пробовал?

 

1 person likes this

Share this post


Link to post
Share on other sites
16 часов назад, Kir95 сказал:

Попробуйте такой вариант:


Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim swModelDocExt As ModelDocExtension
Dim swCustProp As CustomPropertyManager
Dim bool As Boolean
Dim errors             As Long
Dim warnings           As Long
Dim path As String, filename As String

Sub main()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
    Set swCustProp = swModelDocExt.CustomPropertyManager(vbNullString)
    
    path = swModel.GetPathName
    filename = Mid$(path, InStrRev(path, "\") + 1) ' With extension
    filename = Left$(filename, InStrRev(filename, ".") - 1) ' Remove extension

    bool = swCustProp.Add3("Наименование", swCustomInfoText, Right$(filename, Len(filename) - InStrRev(filename, "-")), 2)
    bool = swCustProp.Add3("Обозначение", swCustomInfoText, Left$(filename, InStr(filename, "-") - 1), 2)
    bool = swModel.Save3(1, errors, warnings)
    
End Sub

 

Все сработало как надо! Огромное спасибо!

Share this post


Link to post
Share on other sites
15 часов назад, modsley сказал:

Открываю. Опа... а в сборке опять первоначальная шестерня, которая из тулбокса. 

Как написали выше: X:\Program Files\SolidWorks Corp\SolidWorks\Toolbox\data utilities\sldsetdocprop.exe

Share this post


Link to post
Share on other sites
В 13.02.2019 в 18:12, ALASK сказал:

малехо не так -5c64339f8f9e3_2.jpg.5072ea2d22f48e66c9145270fd7e7e92.jpg подрезать изнутри заплатку еще надо

А можно чуть по подробнее, что то у меня не выходит.5c66d551370b8_.thumb.jpg.a6a5ea3691f54803bf858fe968b77b79.jpg

Share this post


Link to post
Share on other sites

Бобышку вытянуть с эскиза на сфере не получилось. Получилось сделать заплату и придать толщину. Вообщем спасибо.

Share this post


Link to post
Share on other sites
1 час назад, trainalex сказал:

Бобышку вытянуть с эскиза на сфере не получилось. Получилось сделать заплату и придать толщину. Вообщем спасибо.

Нет рано радовался. Заплата со сферической поверхностью получается только из прямоугольного эскиза, из круглого получается плоская

Share this post


Link to post
Share on other sites

TRAINALEX! Я был не прав, ввел тебя в заблуждение

В 13.02.2019 в 16:15, trainalex сказал:

вытянуть, повернуть потом вычесть

золотые слова! дешево и сердито...

 

Share this post


Link to post
Share on other sites

Здравствуйте. При попытке создать переменную, пишет про не правильный синтаксис. Я что то делаю не так. Вот только, что? Подскажите, пожалуйста, как сделать правильно.

Вопрос.jpg

Share this post


Link to post
Share on other sites
10 часов назад, alexdorf сказал:

Здравствуйте. При попытке создать переменную, пишет про не правильный синтаксис. Я что то делаю не так. Вот только, что? Подскажите, пожалуйста, как сделать правильно.

 

Знакомая проблема. Была актуальна несколько лет назад. Причина - системное обновление KB3072630. Как исправить посмотрите по ссылке

https://www.leninsw.info/2016/11/windows-kb3072630-solidworks-failed-to.html

Share this post


Link to post
Share on other sites

ID: 14695   Posted (edited)

Показать содержимое  
Гуру SW, ищу помощи и знаний в области банальных (это не ракетостроение, всего лишь стандартные детали) построений, а именно - необходимо создать отвод (колено) с заданными параметрами по известным размерам: Z=47.5 мм, L=51 мм, d=90 мм, E=108 мм. Угол колена соответственно 90 градусов (см.приложение)....
На выходе должно быть что-то похожее на уже существующий отвод (см.приложение)
PS при самостоятельных попытках сделать сие чудо появляются не объяснимые деформации детали с изменением радиусов скруглений.... Не могу понять, в чём проблема...
Edited by Paladin_Of_War

Share this post


Link to post
Share on other sites

ID: 14696   Posted (edited)

@Paladin_Of_War

Проблема в чём?

Скрытый текст

2Rt4b.png

 

 

То что вы дали размеры ... по ним не получиться деталь похожая на ту что в приложении

Edited by don108

Share this post


Link to post
Share on other sites

ID: 14697   Posted (edited)

@don108 Noup.... Ошибка... Тонкостенный также не даёт сделать...
PS однако она в живую существует.... Ладно, спасибо за ответ
PPS позвольте модель Вашего авторства в студию?

Показать содержимое  

123.thumb.JPG.75e72b9f5865f8952041a2d1a46bad53.JPG234.JPG.f5a74ae1d7bba2bd33de421861f069a5.JPG

Hide 
Edited by Paladin_Of_War

Share this post


Link to post
Share on other sites
20 минут назад, Paladin_Of_War сказал:

Ошибка... Тонкостенный также не даёт сделать...

Радиус скругления должен больше внешнего радиуса профиля

Share this post


Link to post
Share on other sites

@Xugack То есть радиус скругления средней линии (45 мм) должен быть больше внешнего радиуса профиля (108 мм), верно понимаю?

Share this post


Link to post
Share on other sites
2 минуты назад, Paladin_Of_War сказал:

верно понимаю?

Верно

Share this post


Link to post
Share on other sites

@alexdorf попробуй вместо точки запятую или наоборот - вместо запятой - точку

Share this post


Link to post
Share on other sites

@Xugack Хм, видимо, связано с изменением толщины тонкостенного элемента в месте перегиба.... Но да ладно, вопрос остаётся открытым - детали подобного рода существуют по заданным размерам, как сделать 3D модель.... Либо не хватает данных, либо руки с головой не дружат у меня..

Share this post


Link to post
Share on other sites

@Paladin_Of_War та деталь что вы прикрепили строится совсем по другому и не за один элемент

Скрытый текст

2Rt9d.png

 

Share this post


Link to post
Share on other sites

@don108 Просветите, как построить сие дело, да чтоб была возможность составить конфигурации под различные типоразмеры (перепробовал множество способов построения, но, увы, к оригиналу не приблизился достаточно близко)

Share this post


Link to post
Share on other sites
3 минуты назад, Paladin_Of_War сказал:

детали подобного рода существуют по заданным размерам

Заданы размеры внутренней геометрии, внешняя может строиться по другим. Если хотите строить операцией по траектории то нужно изменить радиус

Share this post


Link to post
Share on other sites

ID: 14706   Posted (edited)

@Paladin_Of_War  не стал заморачиваться с внутренним углом

Скрытый текст

2RtcR.png


2RtcQ.png

 

2Rtd3.png

 

 

 

 

Просто тупо подогнал под геометрию детали приложенной, но без внутреннего угла\выступа

Edited by don108

Share this post


Link to post
Share on other sites

Господа, вновь возник вопрос на засыпку - в спецификацию (не по ГОСТ) одна деталь присутствует в кол-ве 4 шт. (3 шт. в одной подсборке, 1 шт. соответственно в другой подсборке), но выводится в качестве двух строк (пример, поз. 64 - 3 шт., поз 83 - 1 шт., НО деталь, повторяюсь, одна и та же). Вопрос - чем обусловлен данный казус и как с ним бороться?

Share this post


Link to post
Share on other sites
22 минуты назад, Paladin_Of_War сказал:

 в спецификацию (не по ГОСТ

 

Share this post


Link to post
Share on other sites
6 минут назад, Yuriy909 сказал:

Проблемка создания тела из 3д эскиза

Не нужно создавать тело из трехмерного эскиза, создавайте из обычных

7 минут назад, Yuriy909 сказал:

кто поможет? 

могу помочь

Share this post


Link to post
Share on other sites
11 минуту назад, Yuriy909 сказал:

Проблемка создания тела из 3д эскиза,

Вам никогда не приходило в голову, что нормальные детали делаются не за одну операцию? И не из одного эскиза.

Поразмышля

Share this post


Link to post
Share on other sites

Если не трудно, хотелось бы помощи!

Share this post


Link to post
Share on other sites

@Yuriy909 конкретнее, помощи в чём ... в освоении SW или построении детали?

Share this post


Link to post
Share on other sites
20 минут назад, Yuriy909 сказал:

хотелось бы помощи!

На основе вашего эскиза строите обычные, и уже с их помощью строите деталь

Share this post


Link to post
Share on other sites

ID: 14717   Posted (edited)

@Yuriy909 для начала посоветовал бы вам пролистать справку или пособие для начинающих, что бы не создавать бредовые двойные 3-ёх мерные эскизы

 

Скрытый текст

2RwwH.png

 

Это что за бред ... под линией эскиз находиться другая дублирующая ... вы где такое видели?

Edited by don108

Share this post


Link to post
Share on other sites
20 минут назад, Yuriy909 сказал:

хотелось бы помощи!

На основе вашего эскиза строите обычные, и уже с их помощью строите деталь

Share this post


Link to post
Share on other sites

@Yuriy909 Слушай умник ты пьяный что ли этот эскиз делал или так приколоться решил ... у тебя та даже не по 1-у дубликату линий, а по 3 шт. дублирующих линий ... ты что там сожрал то?

Сначала мозг отключают, а потом бегут помогите кричат... бездари

Share this post


Link to post
Share on other sites
11 минуту назад, don108 сказал:

Сначала мозг отключают

Спорное утверждение. Скорее они его вообще не включают. Никогда. Т.е. ни разу с самого детства не пользовались.

Хотя, возможен вариант, что включать вообще нечего.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.



  • Сообщения

    • MiLloeDelo
       Попробуйте все варианты в ShopMill , прмямоугольняа цаппфа или караман , можете менять направление траектории во внутрь и с наружу .     а если это не прямоугольник? ......покажите и уточните точно что если не прямоугольник , телепатических способностей у многих отсутствуют на этом форуме . Давай логические вопросы с подкрепленными точным фактами !
    • MiLloeDelo
      KISSsoft  не подходит ?  https://www.youtube.com/watch?v=d6cEjNk8ZAY    
    • FCLM
      Люди добрые, помогите разобраться в скрипте, буду благодарен любому комменту, совершенно не с кем поговорить на эту тему =(((    global mom_cycle_spindle_axis mom_sys_work_plane_change
         global traverse_axis1 traverse_axis2 mom_motion_event mom_machine_mode
         global mom_pos mom_prev_pos mom_from_pos mom_last_pos mom_sys_home_pos
         global mom_sys_tool_change_pos
         global spindle_first rapid_spindle_inhibit rapid_traverse_inhibit    if { ![info exists mom_from_pos($mom_cycle_spindle_axis)] &&\
               [info exists mom_sys_home_pos($mom_cycle_spindle_axis)] } {       set mom_from_pos(0) $mom_sys_home_pos(0)
            set mom_from_pos(1) $mom_sys_home_pos(1)
            set mom_from_pos(2) $mom_sys_home_pos(2)    } elseif { ![info exists mom_sys_home_pos($mom_cycle_spindle_axis)] &&\
                     [info exists mom_from_pos($mom_cycle_spindle_axis)] } {       set mom_sys_home_pos(0) $mom_from_pos(0)
            set mom_sys_home_pos(1) $mom_from_pos(1)
            set mom_sys_home_pos(2) $mom_from_pos(2)    } elseif { ![info exists mom_sys_home_pos($mom_cycle_spindle_axis)] &&\
                    ![info exists mom_from_pos($mom_cycle_spindle_axis)] } {       set mom_from_pos(0) 0.0 ; set mom_sys_home_pos(0) 0.0
            set mom_from_pos(1) 0.0 ; set mom_sys_home_pos(1) 0.0
            set mom_from_pos(2) 0.0 ; set mom_sys_home_pos(2) 0.0
         } Что имменно непонятно:
      1. вот этот фрагмент:
       { ![info exists mom_from_pos($mom_cycle_spindle_axis)] &&\  [info exists mom_sys_home_pos($mom_cycle_spindle_axis)] } 
       На сколько я понял порядок чтения примерно следующий: если условие [info exists mom_from_pos($mom_cycle_spindle_axis)] не выполняется а условие [info exists mom_sys_home_pos($mom_cycle_spindle_axis)] } выполняется то тогда мы присваиваем значения переменным. А если первое условие выполняется вместе со вторым то тогда мы пропускаем присвоение переменных. Или другими словами 
      если оба условия после обработки первого оператором ! (лог отрицание) равны нулю или единице то тогда мы выполняем присвоение значений переменным а если они не равны между собой то мы идём к elseif.     2. Не понятен формат записи [info exists mom_from_pos($mom_cycle_spindle_axis)], вроде бы как после оператора info exists должен следовать аргумент в данном случае mom_from_pos а тут дополнительно ещё один аргумент запилили причём без пробела и в 
      скобках в итоге мы имеем [info exists mom_sys_home_pos($mom_cycle_spindle_axis)].   3. При присваивании значений переменным также странный формат записи например выше объявляется переменная mom_from_pos, при присваивании ей значения она уже превращается в mom_from_pos(0), а значение ей присваивается из переменной mom_sys_home_pos(0) 
      которая выше объявлялась как mom_sys_home_pos.   4. Знак \ после оператора && означает простой перенос строки после объявления оператора?   5. В описании указано: info exists varName Возвращает 1, если переменная varName существует в текущем контексте как локальная или как глобальная переменная. В противном случае возвращает 0. Что понимается под понятием текущий контекст? Не он ли указан в скобках и тогда строка [info exists mom_from_pos($mom_cycle_spindle_axis)] расшифровывается как если значение переменной mom_from_pos равняется значению переменной mom_cycle_spindle_axis то тогда в квадратных скобках мы имеем "1" в противном случае "0"? Но в описании переменных они как то с друг дружкой не очень вяжутся mom_cycle_spindle_axis - это вроде как рабочая плоскость, а mom_from_pos это координаты исходной точки?
    • Ander
      Вытащите начальную точку из угла. (Вы сможете в ж-кодах пройти контур из угла? Вот и у шопа крыша едет)
    • konstantin2112@inbox.ru
      Ели кому интересно, то проблема оказалась в том что надо было указывать -360+360, тогда все корректно заработало, я просто этого не делал, чтобы удобнее было через код следить, а его стандартное поведение при аксис лимит виолейшен это просмотр достижения предела и возвращение к нулю, от нуля он вернуться не мог.   
    • pechkin624
      Как сменить язык?
    • Isten21
      Благодарю вас за столь скорый ответ, но к подобному результату я приходил используя поверхностное тело (после сдвига по траектории и ограничивающей плоскости), проблема после этого разделения - сложные кромки, которые имеют детали после раздела, прошу прощения за плохое качество изображения, в развертке получается боковая грань в виде кривой. Действия над разверткой не дают результата в согнутой детали как я понимаю, хотя было бы хорошо :( Фаски тем паче не сработают, я пытался взять даже эскиз по развертке с устраивающей меня части, а именно на 2 фото видно какой(что бы потом вручную согнуть), но начиная с ним работать там находится куча неисправимых ошибок, средств упрощения сплайнов я в Инвенторе не нашел, в Солиде много интересного функционала, типа функции сплющить (разварачивающей грани), потом можно упростить сплайны, но я плоховато понимаю, как потом согнуть развертку (
    • Ветерок
      Это и в шестом случается. Я чуть выше писал про такой баг.
    • AlexK76
      Видел. В шестом тоже получилось, а вот в четвертом... Хотя все закладки присутствуют, но не работают :(
    • Ветерок
      Перестань орать. Сними палец с клавиши Caps Lock.